Bug 1747670 - python2-psycopg2-debug fails to install in Fedora rawhide
Summary: python2-psycopg2-debug fails to install in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-psycopg2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2FTBI F31FailsToInstall F32FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-08-31 15:09 UTC by Miro Hrončok
Modified: 2019-09-20 22:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-20 22:42:11 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-31 15:09:51 UTC
python2-psycopg2-debug-2.7.7-4.fc32.x86_64 fails to install in Fedora rawhide:

  nothing provides libpython2.7_d.so.1.0()(64bit) needed by python2-psycopg2-debug-2.7.7-4.fc32.x86_64

This is most caused by the removal of python2-debug.
Please drop python2-psycopg2-debug. Thanks

Comment 1 Miro Hrončok 2019-09-09 09:40:31 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 2 Pavel Raiskup 2019-09-09 13:24:59 UTC
There's no question (so the needinfo is invalid).  Removing at least
myself as I don't maintain the package nowadays.

Comment 3 Miro Hrončok 2019-09-09 13:30:58 UTC
Pavel, you are listed among package maintainers. If that info is invalid, please work towards removing yourself.

If a question is required, here it is: Are you planning to fix this (when) or would you rather get the package orphaned right away?

Comment 4 Pavel Raiskup 2019-09-09 13:40:42 UTC
Ok, answering the question - yes, this needs to be fixed - this is not
a material for orphaning.

I probably won't have time for working on this issue personally, so patches are
welcome (pull requests ideally)!

Comment 5 Miro Hrončok 2019-09-09 14:05:47 UTC
Here you go: https://src.fedoraproject.org/rpms/python-psycopg2/pull-request/4

Comment 6 Devrim Gündüz 2019-09-09 14:50:43 UTC
Hi,

(In reply to Miro Hrončok from comment #5)
> Here you go:
> https://src.fedoraproject.org/rpms/python-psycopg2/pull-request/4

Merged,  thanks!

I used this opportunity to update psycopg2 to 2.8.3. Builds fail, but these errors looked a bit strange to me. Did something change about the spec files in F32?

https://kojipkgs.fedoraproject.org//work/tasks/674/37560674/build.log

Regards, Devrim

Comment 7 Miro Hrončok 2019-09-09 15:01:55 UTC
BUILDSTDERR: Traceback (most recent call last):
BUILDSTDERR:   File "setup.py", line 35, in <module>
BUILDSTDERR:     from setuptools import setup, Extension
BUILDSTDERR: ImportError: No module named setuptools


That is the actual error. If you want setuptools, buildrequire setuptools.


BUILDSTDERR:     extra tokens at the end of %endif directive in line 94:  %endif # python2
BUILDSTDERR:     extra tokens at the end of %endif directive in line 107:  %endif # python2_debug
BUILDSTDERR:     extra tokens at the end of %endif directive in line 126:  %endif # python3
BUILDSTDERR:     extra tokens at the end of %endif directive in line 138:  %endif # python3_debug
BUILDSTDERR:     extra tokens at the end of %endif directive in line 203:  %endif # check
BUILDSTDERR:     extra tokens at the end of %endif directive in line 234:  %endif # python2
BUILDSTDERR:     extra tokens at the end of %endif directive in line 241:  %endif # python2_debug
BUILDSTDERR:     extra tokens at the end of %endif directive in line 258:  %endif # python3
BUILDSTDERR:     extra tokens at the end of %endif directive in line 265:  %endif # python3_debug


This is just a warning added in RPM 4.15. There was a discussion on devel about it and I'd argue to keep the extra tokens for readability.


Note You need to log in before you can comment on or make changes to this bug.